Bug 144774 - Crash while loading
Summary: Crash while loading
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gl-117   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-11 14:37 UTC by Need Real Name
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 14:11:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2005-01-11 14:37:58 UTC
Description of problem:
Info: Found gl-117 data directory /usr/share/gl-117
Info: Startup gl-117, V1.3 ...
Info: Loading /home/ruidi/.gl-117/conf
Warning: Could not load /home/ruidi/.gl-117/conf
Info: No configuration file found. Testing...
Info: Using SDL and GLUT
*** glibc detected *** double free or corruption (out): 0x094bcfb0 ***
Aborted

Version-Release number of selected component (if applicable):
Version: 1.3
Release: 0.fdr.1.2


How reproducible:
Start the game.

Actual results:
Crashes.

Expected results:
Runs.

Additional info:
I'm 'up2date'.

Comment 1 Michael Schwendt 2005-01-11 15:43:04 UTC
Just a side-note: 1.3-0.fdr.1.2 is a package for Fedora Core 2,
because the FC3 rebuild of gl-117 failed:
https://bugzilla.fedora.us/show_bug.cgi?id=2341


Comment 3 Michael Schwendt 2005-01-11 18:21:45 UTC
Do you have CVS commit access already? Or do you need someone to
import this?

Comment 4 Panu Matilainen 2005-01-13 08:10:41 UTC
Michael: No, I don't have CVS commit access yet and might not have it
anytime soon so somebody would have to import the thing.

Comment 5 Michael Schwendt 2005-01-13 11:15:05 UTC
OK, imported. Updated URL, Summary and did

-%configure LDFLAGS="-L/usr/X11R6/lib -lX11 -lXi -lXmu"
+%configure LDFLAGS="-L/usr/X11R6/%{_lib} -lX11 -lXi -lXmu"

because x86_64 would want that. According to the spec changelog you
based this 1.3.1 update on a different, longer maintained package than
what is found at fedora.us


Comment 6 Michael Schwendt 2005-01-13 20:08:00 UTC
To reporter:

An update for FC3 has been released in pre-extras: 
gl-117-1.3.1-1

Does that fix it for you?

Comment 7 Need Real Name 2005-01-20 13:23:40 UTC
Yep, it runs.

I think the fact that the frame rate is virtually zero on my "nVidia
Corporation NV34 [GeForce FX 5200] rev 161" is, overhearing #fedora
comments, due to the fact that I have applied kernel updates via yum
subsequent to installing my nvidia driver.  And therefore, a different
bug.  But in case it isn't I mention it here.  (Know of a fix?)

At this framerate I am lucky to escape the menu let alone play...

(This machine used to play excellent 800x600 counterstrike as a 'doze
box though!)

Comment 8 Michael Schwendt 2005-01-20 14:11:39 UTC
Thanks.

[Yes, you need to keep kernel and nvidia driver in sync. One way to do
that is to point yum to the 3rd party repository at
http://rpm.livna.org where nvidia driver kernel packages are provided.]


Note You need to log in before you can comment on or make changes to this bug.